@echo off
REM 设置输出文件夹路径
set "output_folder=D:\Web\www\mini_xzey\storage\logs\RemindersLog\"

REM 创建输出文件夹（如果不存在）
if not exist "%output_folder%" (
    mkdir "%output_folder%"
)

REM 生成按日期命名的文件名（格式为 yyyymmdd）
for /f "tokens=2 delims==" %%a in ('"wmic os get localdatetime /value"') do set "datetime=%%a"
set "current_date=%datetime:~0,8%"
set "output_file=%output_folder%\appointment_%current_date%.log"

REM 进入项目根目录
cd /d "D:\Web\www\mini_xzey"

REM 插入换行和当前时间到日志文件
echo. >> "%output_file%"
echo [%date% %time%] Running php artisan app:send-appointment-reminders >> "%output_file%"

REM 运行php artisan命令并将输出重定向到文件
php artisan app:send-appointment-reminders >> "%output_file%"

REM 提示完成
echo Command output has been saved to %output_file%
