<?php
declare(strict_types = 1);

namespace App\Http\Logics\Health;

use App\Services\HisHttp\Client;
use App\Utils\Traits\Logger;
use App\Utils\Traits\MiniProgramAuth;
use Illuminate\Auth\AuthenticationException;
class RecordLogic
{
    use Logger;
    use MiniProgramAuth;

    private Client $his_client;

    /**
     * ItemLogic Construct
     * @throws AuthenticationException
     */
    public function __construct()
    {
        $this->authInitialize();
        $this->his_client = app('HisHttpService');
    }


}
